Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.api
Class XmlGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject>

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.plugins.ide.api.GeneratorTask<T>
                      org.gradle.plugins.ide.api.XmlGeneratorTask<T>

Type Parameters:
  `T` - The domain object type.

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public abstract class XmlGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject>

extends GeneratorTask<T>

A convenience superclass for those tasks which generate XML configuration files from a domain object of type T.

Nested Class Summary

Nested classes/interfaces inherited from interface org.gradle.api.Task
`Task.Namer`

Field Summary

Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask
`afterConfigured, beforeConfigured, domainObject, generator`

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`XmlGeneratorTask()`

Method Summary
`protected abstract void` | `configure(T object)`
`protected abstract T` | `create()`
`protected org.gradle.api.internal.XmlTransformer` | `getXmlTransformer()`
`void` | `withXml(Action<? super XmlProvider> action)` Deprecated.
`void` | `withXml(Closure closure)` Deprecated.

Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask
`beforeConfigured, beforeConfigured, getInputFile, getOutputFile, setInputFile, setOutputFile, whenConfigured, whenConfigured`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`addValidator, captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlGeneratorTask

    public XmlGeneratorTask()

Method Detail

### getXmlTransformer

    protected org.gradle.api.internal.XmlTransformer getXmlTransformer()

### configure

    protected abstract void configure(T object)

### create

    protected abstract T create()

### withXml

    @Deprecated
    public void withXml(Closure closure)

  Deprecated.

  Deprecated. Moved to the relevant type. Where? For starters, see examples in `IdeaProject` or `EclipseProject`.

  Adds a closure to be called when the XML document has been created. The XML is passed to the closure as a parameter in form of a `XmlProvider`. The closure can modify the XML before it is written to the output file.

  Parameters:
    `closure` - The closure to execute when the XML has been created.

### withXml

    @Deprecated
    public void withXml(Action<? super XmlProvider> action)

  Deprecated.

  Deprecated. Moved to the relevant type. Where? For starters, see examples in `IdeaProject` or `EclipseProject`.

  Adds an action to be called when the XML document has been created. The XML is passed to the action as a parameter in form of a `XmlProvider`. The action can modify the XML before it is written to the output file.

  Parameters:
    `action` - The action to execute when the IPR XML has been created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD